Subject: Re: gnumake and NT
From: [email-masked] (Roger Kuhlman)

7 Jun 1997 16:45:50 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
Original-To: [email-masked]
In-Reply-To: <01BC72E0.61BE3F30@sos> from "Sergey Okhapkin" at Jun 7, 97 01:16:03 am
X-Mailer: ELM [version 2.4 PL25]
Original-Sender: [email-masked]

Greetings:

	Sergey was right. I used the -j 1 option as argument to recursively
called makes as well. No more failed fork() calls.

	Now after having gotten down to the final executable,
which uses all libraries I compile(link) with the following command line:
g++ src/obj/magnus.o -Xlinker -Ur -L../SessionManager/lib -L../SMApps/lib -L../AProducts/lib -L../NilpotentGroup/lib -L../Map/lib -L../Subgroup/lib -L../Equations/lib -L../Group/lib -L../Matrix/lib -L../KB/lib -L../FSA/lib -L../Elt/lib -L../general/lib -Xlinker --start-group -lSessionManager -lSMApps -lAProducts -lNilpotentGroup -lMap -lSubgroup -lEquations -lGroup -lMatrix -lKB -lFSA -lElt -lgeneral -Xlinker --end-group -lm -o test/bin/magnus
	It complains about multiply defined symbols but continues linking until
exiting with this error. the -Ur linker option and the --start/end-group
directives are necessary for ctor/dtor but error is strange.
  What am I doing wrong??/What does following error mean??

/gnuwin32/b18/H-i386-cygwin32/lib/gcc-lib/i386-cygwin32/cygnus-2.7.2-970404/../../../../i386-cygwin32/bin/ld.exe: final link failed: Not owner

	Thanks,
	Roger Kuhlman
	(212)650-5371
	e-mail: [email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".